# PetscStartMatlab

starts up Matlab with a Matlab script

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscStartMatlab(MPI_Comm comm,const char machine[],const char script[],FILE **fp)

Collective on MPI_Comm, but only processor zero in the communicator does anything

### Input Parameters

| comm | - MPI communicator
| machine | - optional machine to run Matlab on
| script | - name of script (without the .m)

### Output Parameter

fp -a file pointer returned from PetscPOpen()

### Notes

This overwrites your matlab/startup.m file

The script must be in your Matlab path or current directory

Assumes that all machines share a common file system

### See Also

PetscPOpen(), PetscPClose()

Level:intermediate
Location: src/sys/fileio/smatlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages